Searched defs:fatal (Results 1 - 25 of 88) sorted by relevance

1234

/illumos-gate/usr/src/test/util-tests/tests/libsff/
H A Dlibsff.ksh30 fatal() function
40 cd $(dirname $0) || fatal "failed to cd to test root"
42 cd $dt_origwd || fatal "failed to return to original dir"
49 fatal "failed to run $testfile"
54 fatal "$t results differ from expected values"
60 rm -f $sff_outfile || fatal "failed to remove output file"
/illumos-gate/usr/src/test/libc-tests/tests/
H A Dpsignal.ksh30 function fatal function
42 $prog >/dev/null 2>$outfile || fatal "$prog unexpectedly failed"
43 diff $ps_out $outfile || fatal "$ps_out and $outfile differ " \
55 [[ $? -ne 0 ]] && fatal "failed to set up output file"
H A Dquick_exit.ksh34 function fatal function
46 fatal "Test failed: Expected $qestatus32 to exit $stat " \
52 fatal "Test failed: Expected $qestatus64 to exit $stat " \
59 $qe_order32 || fatal "$qe_order32 returned $?"
60 $qe_order64 || fatal "$qe_order32 returned $?"
/illumos-gate/usr/src/test/util-tests/tests/date/
H A Ddate_test.ksh27 fatal() function
46 fatal "date not exit zero, exited $ret; command: $date_curcmd"
49 fatal "date returned no output; command: $date_curcmd"
53 fatal "date output mismatch; command: $date_curcmd; expected: " \
87 fatal "date -r 0 -a 10 exited zero when it should have failed"
/illumos-gate/usr/src/test/util-tests/tests/sed/
H A Dsed_addr.ksh16 function fatal { function
42 [[ -n "$tf" && -f "$tf" ]] || fatal "Could not create temp file $f"
49 [[ $? -eq 0 && -s "$input1" ]] || fatal "Could not populate input1 file"
51 [[ $? -eq 0 && -s "$input2" ]] || fatal "Could not populate input2 file"
/illumos-gate/usr/src/cmd/modload/
H A Dmodsubr.c56 fatal(char *fmt, ...) function
/illumos-gate/usr/src/test/elf-tests/tests/assert-deflib/
H A Dtest-deflib.sh38 function fatal function
53 [[ -f $sh_path/$sh_lib/$sh_soname ]] || fatal "missing 32-bit $sh_soname"
55 fatal "missing 64-bit $sh_soname"
56 which $sh_cc >/dev/null || fatal "cc not in path"
74 fatal $4
86 "Testing basic compilation fails if warning are fatal..." \
90 "Testing basic exception with fatal warnings..." \
94 "Testing basic exception with fatal warnings..." \
/illumos-gate/usr/src/cmd/ypcmd/revnetgroup/
H A Dutil.c104 fatal(message) function
107 (void) fprintf(stderr, "fatal error: %s\n", message);
/illumos-gate/usr/src/test/util-tests/tests/ctf/
H A Dctftest.ksh76 fatal() function
139 fatal "failed to make temporary directory '$outdir'"
213 fatal "failed to make temporary directory '$outdir'"
/illumos-gate/usr/src/cmd/sed/
H A Dmisc.c69 fatal(const char *fmt, ...) function
/illumos-gate/usr/src/test/util-tests/tests/dladm/
H A Dallowed-ips.ksh21 function fatal function
31 dladm create-etherstub $ai_stub || fatal "failed to create etherstub"
32 dladm create-vnic -l $ai_stub $ai_vnic || fatal "failed to create vnic"
37 dladm delete-vnic $ai_vnic || fatal "failed to remove vnic"
38 dladm delete-etherstub $ai_stub || fatal "failed to remove etherstub"
48 runtest $* || fatal "allowed-ips=$* failed, expected success\n"
53 runtest $* && fatal "allowed-ips=$* succeeded, expected failure\n"
H A Dset-linkprop.ksh29 fatal() function
44 dladm delete-etherstub $vm_stub || fatal \
50 dladm create-etherstub $vm_stub || fatal \
59 dladm create-vnic $flags -l $vm_stub $dev 2>/dev/null || fatal \
67 dladm delete-vnic $dev || fatal "failed to delete vnic: $dev"
80 [[ -z "$dev" ]] && fatal "missing required device"
81 [[ -z "$prop" ]] && fatal "missing required prop"
82 [[ -z "$val" ]] && fatal "missing required val"
84 [[ $? -eq 0 ]] || fatal "failed to get $prop for $dev"
85 [[ "$val" == "$oval" ]] || fatal \
[all...]
/illumos-gate/usr/src/test/util-tests/tests/dis/
H A Ddistest.ksh59 fatal() function
98 [[ $? -eq 0 ]] || fatal "failed to determine host architecture"
99 [[ "$arch" != "i386" ]] && fatal "dis tests are only supported on x86"
115 [[ -d $dt_root/$key ]] || fatal "encountered unknown platform: $key"
123 fatal "failed to find command as absolute path or file: $bin"
168 mkdir -p $dir || fatal "failed to make directory $dir"
190 rm -rf $dir || fatal "failed to remove directory $dir"
208 [[ -f $cmpfile ]] || fatal "missing output file $cmpfile"
210 [[ -n $gas ]] || fatal "encountered test $sfile, but missing assembler"
280 cd $(dirname $0) || fatal "faile
[all...]
/illumos-gate/usr/src/test/util-tests/tests/mdb/
H A Dmdbtest49 function fatal function
60 mkdir -p $mt_outdir || fatal "failed to make output dir $mt_outdir"
73 [[ -z "$ext" ]] && fatal "found test without ext: $name"
74 [[ -z "$expect" ]] && fatal "found test without prefix: $name"
97 mkdir -p "$odir" >/dev/null || fatal "can't make output directory"
118 mv "$odir" "$mt_outdir/failure.$mt_tfail" || fatal \
120 cp "$name" "$mt_outdir/failure.$mt_tfail/test" || fatal \
125 mv "$odir" "$mt_outdir/success.$mt_tsuc" || fatal \
154 rm -rf "$mt_outdir"/success.* || fatal \
157 rmdir "$mt_outdir" || fatal \
[all...]
/illumos-gate/usr/src/cmd/bhyve/test/scripts/
H A Dbhyvetest.ksh47 function fatal function
58 mkdir -p $bt_outdir || fatal "failed to make output dir $bt_outdir"
72 [[ -z "$ext" ]] && fatal "found test without ext: $name"
73 [[ -z "$expect" ]] && fatal "found test without prefix: $name"
101 mkdir -p "$odir" >/dev/null || fatal "can't make output directory"
102 cd $(dirname $name) || fatal "failed to enter test directory"
105 cd - > /dev/null || fatal "failed to leave test directory"
120 mv "$odir" "$bt_outdir/failure.$bt_tfail" || fatal \
123 fatal "failed to copy test into output directory"
127 mv "$odir" "$bt_outdir/success.$bt_tsuc" || fatal \
[all...]
/illumos-gate/usr/src/cmd/mkpwdict/
H A Dmkpwdict.c43 fatal(char *msg) function
95 fatal(strerror(errno));
100 fatal(strerror(errno));
124 fatal(gettext("No source databases defined"));
136 fatal(strerror(errno));
/illumos-gate/usr/src/cmd/print/selector/
H A Dprint-service65 sub fatal { subroutine
130 fatal("failed to detect active print service: $!\n");
134 fatal("print service: $service is not installed\n");
144 fatal("$command is not available from $service print service\n");
224 fatal("print service: $service is not installed\n");
265 fatal("failed to detect active print service: $!\n");
/illumos-gate/usr/src/cmd/cmd-inet/usr.sbin/
H A Din.fingerd.c48 void fatal(char *prog, char *s);
65 fatal(argv[0], "getpeername");
115 fatal(argv[0], "pipe");
129 fatal(argv[0], "fork");
132 fatal(argv[0], "fdopen");
145 fatal(prog, s) function
/illumos-gate/usr/src/cmd/scsi/sestopo/common/
H A Dsestopo.c34 static void fatal(int, const char *, ...) __NORETURN;
37 fatal(int err, const char *fmt, ...) function
85 fatal(1, "Usage: %s <device>", argv[0]);
88 fatal(-1, "failed to open %s: %s", argv[1], ses_errmsg());
/illumos-gate/usr/src/cmd/smserverd/
H A Dsmediad_err.c46 fatal(const char *fmt, ...) function
/illumos-gate/usr/src/lib/libast/common/regex/
H A Dregerror.c85 fatal(regdisc_t* disc, int code, const char* pattern) function
/illumos-gate/usr/src/test/util-tests/tests/sed/bsd/
H A Dmulti_test.ksh52 fatal() { function
60 [[ -d $REGRESS ]] || fatal "Could not locate regress directory"
63 [[ -r $DICT ]] || fatal "Coult not read dictionary $DICT"
67 fatal "Could not create output directory"
74 fatal "Could not seed lines files"
/illumos-gate/usr/src/cmd/dtrace/test/cmd/badioctl/
H A Dbadioctl.c43 fatal(char *fmt, ...) function
67 fatal("couldn't open /dev/random");
71 fatal("mmap");
94 fatal("couldn't open DTrace pseudo device");
/illumos-gate/usr/src/cmd/getdevpolicy/
H A Dgetdevpolicy.c56 fatal(const char *s) function
90 fatal("Out of memory");
133 fatal("Out of memory");
/illumos-gate/usr/src/cmd/dtrace/test/cmd/baddof/
H A Dbaddof.c37 fatal(char *fmt, ...) function
104 fatal("couldn't open DTrace pseudo device");
164 fatal("expected D script as argument\n");
167 fatal("couldn't open %s", filename);
173 fatal("cannot open dtrace library: %s\n",
181 fatal("failed to compile script %s: %s\n", filename,
189 fatal("could not allocate copy of %d bytes", len);
199 fatal("couldn't open DTrace pseudo device");

Completed in 115 milliseconds

1234